﻿using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace CSharp_HowDoISamples
{
    public partial class BackgroundMapsController : Controller
    {
        public ActionResult DisplayASimpleMap()
        {
            Map map = new Map("Map1",
            new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
            510);
            map.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
            map.CurrentExtent = new RectangleShape(120, 40, 130, 30);
            map.MapUnit = GeographyUnit.DecimalDegree;

            ContextMenu menuOn = new ContextMenu("test", 180);
            ContextMenuItem redirectItem = new ContextMenuItem("test");
            menuOn.MenuItems.Add(redirectItem);

            SimpleMarkerOverlay o = new SimpleMarkerOverlay();
            Marker m = new Marker(128, 37);
            m.WebImage = new WebImage("/Content/images/United States.png");
            m.WebImage.RotationAngle = 30;
            m.Id = @"1";
            m.ContextMenu = menuOn;

            o.Markers.Add(m);

            m = new Marker(129, 38);
            m.WebImage = new WebImage("/Content/images/United States.png");
            m.WebImage.RotationAngle = 270;
            m.Id = @"2";
            m.ContextMenu = menuOn;
            o.Markers.Add(m);

            m.ContextMenu = menuOn;

            map.CustomOverlays.Add(o);

            return View(map);
        }
    }
}